import { cn } from "@/lib/utils";
import { Star } from "lucide-react";

interface ProductRatingProps {
	rating: number;
}

const ProductRating = ({ rating }: ProductRatingProps) => {
	return (
		<div className="flex items-center gap-1">
			{Array.from({ length: 5 })?.map((_, i) => (
				<Star
					key={i}
					className={cn(
						"h-5 w-5",
						i < rating
							? "fill-[#F2C94C] text-[#F2C94C]"
							: "text-gray-300"
					)}
				/>
			))}
		</div>
	);
};

export default ProductRating; 